Index: printf/printf.c
===================================================================
RCS file: /cvs/src/usr.bin/printf/printf.c,v
retrieving revision 1.5
diff -u -u -r1.5 printf.c
--- printf/printf.c	19 Mar 2004 16:37:24 -0000	1.5
+++ printf/printf.c	7 Nov 2004 20:02:16 -0000
@@ -64,15 +64,15 @@
 	char *b = NULL; \
 	if (fieldwidth) \
 		if (precision) \
-			(void)asprintf(&b, f, fieldwidth, precision, func); \
+			asprintf(&b, f, fieldwidth, precision, func); \
 		else \
-			(void)asprintf(&b, f, fieldwidth, func); \
+			asprintf(&b, f, fieldwidth, func); \
 	else if (precision) \
-		(void)asprintf(&b, f, precision, func); \
+		asprintf(&b, f, precision, func); \
 	else \
-		(void)asprintf(&b, f, func); \
+		asprintf(&b, f, func); \
 	if (b) { \
-		(void)fputs(b, stdout); \
+		fputs(b, stdout); \
 		free(b); \
 	} \
 } while (0)
@@ -102,7 +102,7 @@
 	char convch, nextch, *format, *fmt, *start;
 
 #ifndef BUILTIN
-	(void) setlocale(LC_NUMERIC, "");
+	setlocale(LC_NUMERIC, "");
 #endif
 	while ((ch = getopt(argc, argv, "")) != -1)
 		switch (ch) {
@@ -140,7 +140,7 @@
 			if (!*fmt) {
 				/* avoid infinite loop */
 				if (chopped) {
-					(void)printf("%s", start);
+					printf("%s", start);
 					return (rval);
 				}
 				if (end == 1) {
@@ -150,7 +150,7 @@
 				}
 				end = 1;
 				if (fmt > start)
-					(void)printf("%s", start);
+					printf("%s", start);
 				if (!*gargv)
 					return (rval);
 				fmt = format;
@@ -161,7 +161,7 @@
 				if (*++fmt != '%')
 					break;
 				*fmt++ = '\0';
-				(void)printf("%s", start);
+				printf("%s", start);
 				goto next;
 			}
 		}
@@ -489,5 +489,5 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: printf format [arg ...]\n");
+	fprintf(stderr, "usage: printf format [arg ...]\n");
 }
Index: quota/quota.c
===================================================================
RCS file: /cvs/src/usr.bin/quota/quota.c,v
retrieving revision 1.4
diff -u -u -r1.4 quota.c
--- quota/quota.c	30 Aug 2004 18:06:50 -0000	1.4
+++ quota/quota.c	7 Nov 2004 20:02:16 -0000
@@ -523,7 +523,7 @@
 		*qfnamep = cp;
 		return (1);
 	}
-	(void) sprintf(buf, "%s/%s.%s", fs->fs_file, qfname, qfextension[type]);
+	sprintf(buf, "%s/%s.%s", fs->fs_file, qfname, qfextension[type]);
 	*qfnamep = buf;
 	return (1);
 }
@@ -543,7 +543,7 @@
 			warn("%s", qfpathname);
 			return (0);
 		}
-		(void) lseek(fd, (off_t)(id * sizeof(struct dqblk)), L_SET);
+		lseek(fd, (off_t)(id * sizeof(struct dqblk)), L_SET);
 		switch (read(fd, &qup->dqblk, sizeof(struct dqblk))) {
 		case 0:				/* EOF */
 			/*
Index: ranlib/build.c
===================================================================
RCS file: /cvs/src/usr.bin/ranlib/build.c,v
retrieving revision 1.4
diff -u -u -r1.4 build.c
--- ranlib/build.c	24 Jul 2004 11:45:44 -0000	1.4
+++ ranlib/build.c	7 Nov 2004 20:02:16 -0000
@@ -109,11 +109,11 @@
 
 	/* Copy the saved objects into the archive. */
 	size = lseek(tfd, (off_t)0, SEEK_CUR);
-	(void)lseek(tfd, (off_t)0, SEEK_SET);
+	lseek(tfd, (off_t)0, SEEK_SET);
 	SETCF(tfd, tname, afd, archive, WPAD);
 	copy_ar(&cf, size);
-	(void)ftruncate(afd, lseek(afd, (off_t)0, SEEK_CUR));
-	(void)close(tfd);
+	ftruncate(afd, lseek(afd, (off_t)0, SEEK_CUR));
+	close(tfd);
 
 	/* Set the time. */
 	settime(afd);
@@ -246,7 +246,7 @@
 
 	/* Put out the ranlib archive file header. */
 #define	DEFMODE	(S_IRUSR|S_IWUSR|S_IRGRP|S_IWGRP|S_IROTH|S_IWOTH)
-	(void)sprintf(hb, HDR2, RANLIBMAG, 0L, getuid(), getgid(),
+	sprintf(hb, HDR2, RANLIBMAG, 0L, getuid(), getgid(),
 	    DEFMODE & ~umask(0), ransize, ARFMAG);
 	if (!fwrite(hb, sizeof(struct ar_hdr), 1, fp))
 		error(tname);
@@ -289,5 +289,5 @@
 	if (pad && !fwrite(&pad, sizeof(pad), 1, fp))
 		error(tname);
 
-	(void)fflush(fp);
+	fflush(fp);
 }
Index: ranlib/misc.c
===================================================================
RCS file: /cvs/src/usr.bin/ranlib/misc.c,v
retrieving revision 1.5
diff -u -u -r1.5 misc.c
--- ranlib/misc.c	30 Aug 2004 18:06:50 -0000	1.5
+++ ranlib/misc.c	7 Nov 2004 20:02:16 -0000
@@ -62,16 +62,16 @@
 	char *envtmp, path[MAXPATHLEN];
 
 	if ((envtmp = getenv("TMPDIR")) != NULL)
-		(void)sprintf(path, "%s%s", envtmp, strrchr(_PATH_RANTMP, '/'));
+		sprintf(path, "%s%s", envtmp, strrchr(_PATH_RANTMP, '/'));
 	else
 		bcopy(_PATH_RANTMP, path, sizeof(_PATH_RANTMP));
 
 	sigfillset(&set);
-	(void)sigprocmask(SIG_BLOCK, &set, &oset);
+	sigprocmask(SIG_BLOCK, &set, &oset);
 	if ((fd = mkstemp(path)) == -1)
 		error(path);
-        (void)unlink(path);
-	(void)sigprocmask(SIG_SETMASK, &oset, NULL);
+        unlink(path);
+	sigprocmask(SIG_SETMASK, &oset, NULL);
 	return(fd);
 }
 
Index: ranlib/ranlib.c
===================================================================
RCS file: /cvs/src/usr.bin/ranlib/ranlib.c,v
retrieving revision 1.4
diff -u -u -r1.4 ranlib.c
--- ranlib/ranlib.c	24 Jul 2004 11:45:44 -0000	1.4
+++ ranlib/ranlib.c	7 Nov 2004 20:02:16 -0000
@@ -83,7 +83,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: ranlib [-t] archive ...\n");
+	fprintf(stderr, "usage: ranlib [-t] archive ...\n");
 	exit(1);
 }
 
Index: ranlib/touch.c
===================================================================
RCS file: /cvs/src/usr.bin/ranlib/touch.c,v
retrieving revision 1.4
diff -u -u -r1.4 touch.c
--- ranlib/touch.c	24 Jul 2004 11:45:44 -0000	1.4
+++ ranlib/touch.c	7 Nov 2004 20:02:16 -0000
@@ -84,7 +84,7 @@
 	size = SARMAG + sizeof(hdr->ar_name);
 	if (lseek(afd, size, SEEK_SET) == (off_t)-1)
 		error(archive);
-	(void)sprintf(buf, "%-12ld", (long)time((time_t *)NULL) + RANLIBSKEW);
+	sprintf(buf, "%-12ld", (long)time((time_t *)NULL) + RANLIBSKEW);
 	if (write(afd, buf, sizeof(hdr->ar_date)) != sizeof(hdr->ar_date))
 		error(archive);
 }
Index: rev/rev.c
===================================================================
RCS file: /cvs/src/usr.bin/rev/rev.c,v
retrieving revision 1.4
diff -u -u -r1.4 rev.c
--- rev/rev.c	3 Nov 2003 19:31:32 -0000	1.4
+++ rev/rev.c	7 Nov 2004 20:02:16 -0000
@@ -91,7 +91,7 @@
 			warn("%s", filename);
 			rval = 1;
 		}
-		(void)fclose(fp);
+		fclose(fp);
 	} while(*argv);
 	exit(rval);
 }
@@ -99,6 +99,6 @@
 void
 usage()
 {
-	(void)fprintf(stderr, "usage: rev [file ...]\n");
+	fprintf(stderr, "usage: rev [file ...]\n");
 	exit(1);
 }
Index: rlogin/rlogin.c
===================================================================
RCS file: /cvs/src/usr.bin/rlogin/rlogin.c,v
retrieving revision 1.4
diff -u -u -r1.4 rlogin.c
--- rlogin/rlogin.c	30 Aug 2004 18:06:50 -0000	1.4
+++ rlogin/rlogin.c	7 Nov 2004 20:02:16 -0000
@@ -221,7 +221,7 @@
 #ifdef KERBEROS
 		case 'k':
 			dest_realm = dst_realm_buf;
-			(void)strncpy(dest_realm, optarg, REALM_SZ);
+			strncpy(dest_realm, optarg, REALM_SZ);
 			break;
 #endif
 		case 'l':
@@ -275,17 +275,17 @@
 
 #define	MAX_TERM_LENGTH	(sizeof(term) - 1 - MAX_SPEED_LENGTH - 1)
 
-	(void)strncpy(term, (p = getenv("TERM")) ? p : "network",
+	strncpy(term, (p = getenv("TERM")) ? p : "network",
 		      MAX_TERM_LENGTH);
 	term[MAX_TERM_LENGTH] = '\0';
 	if (ioctl(0, TIOCGETP, &ttyb) == 0) {
-		(void)strcat(term, "/");
-		(void)strcat(term, speeds[(int)ttyb.sg_ospeed]);
+		strcat(term, "/");
+		strcat(term, speeds[(int)ttyb.sg_ospeed]);
 	}
 
-	(void)get_window_size(0, &winsize);
+	get_window_size(0, &winsize);
 
-	(void)signal(SIGPIPE, lostpeer);
+	signal(SIGPIPE, lostpeer);
 	/* will use SIGUSR1 for window size hack, so hold it off */
 	omask = sigblock(sigmask(SIGURG) | sigmask(SIGUSR1));
 	/*
@@ -294,8 +294,8 @@
 	 * discarded. Note that these routines will be ready to get
 	 * a signal by the time that they are unblocked below.
 	 */
-	(void)signal(SIGURG, copytochild);
-	(void)signal(SIGUSR1, writeroob);
+	signal(SIGURG, copytochild);
+	signal(SIGUSR1, writeroob);
 
 #ifdef KERBEROS
 	if (use_kerberos) {
@@ -368,7 +368,7 @@
 		if (ss.ss_family == AF_INET)
 			warn("setsockopt getsockname failed");
 
-	(void)setuid(uid);
+	setuid(uid);
 	doit(omask);
 	/*NOTREACHED*/
 }
@@ -386,18 +386,18 @@
 {
 	struct sgttyb sb;
 
-	(void)ioctl(0, TIOCGETP, (char *)&sb);
+	ioctl(0, TIOCGETP, (char *)&sb);
 	defflags = sb.sg_flags;
 	tabflag = defflags & TBDELAY;
 	defflags &= ECHO | CRMOD;
 	deferase = sb.sg_erase;
 	defkill = sb.sg_kill;
-	(void)ioctl(0, TIOCLGET, &deflflags);
-	(void)ioctl(0, TIOCGETC, &deftc);
+	ioctl(0, TIOCLGET, &deflflags);
+	ioctl(0, TIOCGETC, &deftc);
 	notc.t_startc = deftc.t_startc;
 	notc.t_stopc = deftc.t_stopc;
-	(void)ioctl(0, TIOCGLTC, &defltc);
-	(void)signal(SIGINT, SIG_IGN);
+	ioctl(0, TIOCGLTC, &defltc);
+	signal(SIGINT, SIG_IGN);
 	setsignal(SIGHUP);
 	setsignal(SIGQUIT);
 	child = fork();
@@ -423,8 +423,8 @@
 	 * signals to the child. We can now unblock SIGURG and SIGUSR1
 	 * that were set above.
 	 */
-	(void)sigsetmask(omask);
-	(void)signal(SIGCHLD, catch_child);
+	sigsetmask(omask);
+	signal(SIGCHLD, catch_child);
 	writer();
 	msg("closed connection.");
 	done(0);
@@ -438,8 +438,8 @@
 	int omask = sigblock(sigmask(sig));
 
 	if (signal(sig, exit) == SIG_IGN)
-		(void)signal(sig, SIG_IGN);
-	(void)sigsetmask(omask);
+		signal(sig, SIG_IGN);
+	sigsetmask(omask);
 }
 
 void
@@ -451,7 +451,7 @@
 	mode(0);
 	if (child > 0) {
 		/* make sure catch_child does not snap it up */
-		(void)signal(SIGCHLD, SIG_DFL);
+		signal(SIGCHLD, SIG_DFL);
 		if (kill(child, SIGKILL) >= 0)
 			while ((w = wait(&wstatus)) > 0 && w != child);
 	}
@@ -470,7 +470,7 @@
 {
 	if (dosigwinch == 0) {
 		sendwindow();
-		(void)signal(SIGWINCH, sigwinch);
+		signal(SIGWINCH, sigwinch);
 	}
 	dosigwinch = 1;
 }
@@ -543,13 +543,13 @@
 #ifdef CRYPT
 #ifdef KERBEROS
 				if (doencrypt)
-					(void)des_enc_write(rem,
+					des_enc_write(rem,
 					    (char *)&escapechar, 1,
 						schedule, &cred.session);
 				else
 #endif
 #endif
-					(void)write(rem, &escapechar, 1);
+					write(rem, &escapechar, 1);
 		}
 
 #ifdef CRYPT
@@ -596,7 +596,7 @@
 		*p++ = c;
 	*p++ = '\r';
 	*p++ = '\n';
-	(void)write(STDOUT_FILENO, buf, p - buf);
+	write(STDOUT_FILENO, buf, p - buf);
 }
 
 void
@@ -608,9 +608,9 @@
 #endif
 {
 	mode(0);
-	(void)signal(SIGCHLD, SIG_IGN);
-	(void)kill(cmdc == defltc.t_suspc ? 0 : getpid(), SIGTSTP);
-	(void)signal(SIGCHLD, catch_child);
+	signal(SIGCHLD, SIG_IGN);
+	kill(cmdc == defltc.t_suspc ? 0 : getpid(), SIGTSTP);
+	signal(SIGCHLD, catch_child);
 	mode(1);
 	sigwinch(0);			/* check for size changes */
 }
@@ -650,12 +650,12 @@
 #ifdef CRYPT
 #ifdef KERBEROS
 	if(doencrypt)
-		(void)des_enc_write(rem, obuf, sizeof(obuf),
+		des_enc_write(rem, obuf, sizeof(obuf),
 			schedule, &cred.session);
 	else
 #endif
 #endif
-		(void)write(rem, obuf, sizeof(obuf));
+		write(rem, obuf, sizeof(obuf));
 }
 
 /*
@@ -704,28 +704,28 @@
 	}
 	if (mark & TIOCPKT_WINDOW) {
 		/* Let server know about window size changes */
-		(void)kill(ppid, SIGUSR1);
+		kill(ppid, SIGUSR1);
 	}
 	if (!eight && (mark & TIOCPKT_NOSTOP)) {
-		(void)ioctl(0, TIOCGETP, (char *)&sb);
+		ioctl(0, TIOCGETP, (char *)&sb);
 		sb.sg_flags &= ~CBREAK;
 		sb.sg_flags |= RAW;
-		(void)ioctl(0, TIOCSETN, (char *)&sb);
+		ioctl(0, TIOCSETN, (char *)&sb);
 		notc.t_stopc = -1;
 		notc.t_startc = -1;
-		(void)ioctl(0, TIOCSETC, (char *)&notc);
+		ioctl(0, TIOCSETC, (char *)&notc);
 	}
 	if (!eight && (mark & TIOCPKT_DOSTOP)) {
-		(void)ioctl(0, TIOCGETP, (char *)&sb);
+		ioctl(0, TIOCGETP, (char *)&sb);
 		sb.sg_flags &= ~RAW;
 		sb.sg_flags |= CBREAK;
-		(void)ioctl(0, TIOCSETN, (char *)&sb);
+		ioctl(0, TIOCSETN, (char *)&sb);
 		notc.t_stopc = deftc.t_stopc;
 		notc.t_startc = deftc.t_startc;
-		(void)ioctl(0, TIOCSETC, (char *)&notc);
+		ioctl(0, TIOCSETC, (char *)&notc);
 	}
 	if (mark & TIOCPKT_FLUSHWRITE) {
-		(void)ioctl(1, TIOCFLUSH, (char *)&out);
+		ioctl(1, TIOCFLUSH, (char *)&out);
 		for (;;) {
 			if (ioctl(rem, SIOCATMARK, &atmark) < 0) {
 				warn("ioctl");
@@ -771,12 +771,12 @@
 #else
 	pid = -getpid();	/* old broken systems use negatives */
 #endif
-	(void)signal(SIGTTOU, SIG_IGN);
-	(void)signal(SIGURG, oob);
+	signal(SIGTTOU, SIG_IGN);
+	signal(SIGURG, oob);
 	ppid = getppid();
-	(void)fcntl(rem, F_SETOWN, pid);
-	(void)setjmp(rcvtop);
-	(void)sigsetmask(omask);
+	fcntl(rem, F_SETOWN, pid);
+	setjmp(rcvtop);
+	sigsetmask(omask);
 	bufp = rcvbuf;
 	for (;;) {
 		while ((remaining = rcvcnt - (bufp - rcvbuf)) > 0) {
@@ -822,8 +822,8 @@
 	struct tchars *tc;
 	int lflags;
 
-	(void)ioctl(0, TIOCGETP, (char *)&sb);
-	(void)ioctl(0, TIOCLGET, (char *)&lflags);
+	ioctl(0, TIOCGETP, (char *)&sb);
+	ioctl(0, TIOCLGET, (char *)&lflags);
 	switch(f) {
 	case 0:
 		sb.sg_flags &= ~(CBREAK|RAW|TBDELAY);
@@ -849,17 +849,17 @@
 	default:
 		return;
 	}
-	(void)ioctl(0, TIOCSLTC, (char *)ltc);
-	(void)ioctl(0, TIOCSETC, (char *)tc);
-	(void)ioctl(0, TIOCSETN, (char *)&sb);
-	(void)ioctl(0, TIOCLSET, (char *)&lflags);
+	ioctl(0, TIOCSLTC, (char *)ltc);
+	ioctl(0, TIOCSETC, (char *)tc);
+	ioctl(0, TIOCSETN, (char *)&sb);
+	ioctl(0, TIOCLSET, (char *)&lflags);
 }
 
 void
 lostpeer(signo)
 	int signo;
 {
-	(void)signal(SIGPIPE, SIG_IGN);
+	signal(SIGPIPE, SIG_IGN);
 	msg("\007connection closed.");
 	done(1);
 }
@@ -869,20 +869,20 @@
 copytochild(signo)
 	int signo;
 {
-	(void)kill(child, SIGURG);
+	kill(child, SIGURG);
 }
 
 void
 msg(str)
 	char *str;
 {
-	(void)fprintf(stderr, "rlogin: %s\r\n", str);
+	fprintf(stderr, "rlogin: %s\r\n", str);
 }
 
 void
 usage()
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	"usage: rlogin [-46%s]%s[-e char] [-i localname] [-l username] host\n",
 #ifdef KERBEROS
 #ifdef CRYPT
Index: rpcgen/rpc_scan.c
===================================================================
RCS file: /cvs/src/usr.bin/rpcgen/rpc_scan.c,v
retrieving revision 1.4
diff -u -u -r1.4 rpc_scan.c
--- rpcgen/rpc_scan.c	19 Jun 2004 16:40:36 -0000	1.4
+++ rpcgen/rpc_scan.c	7 Nov 2004 20:02:16 -0000
@@ -325,7 +325,7 @@
 	p++;
 	size = p - *str;
 	*val = alloc(size + 1);
-	(void) strncpy(*val, *str, size);
+	strncpy(*val, *str, size);
 	(*val)[size] = 0;
 	*str = p;
 }
Index: rpcinfo/rpcinfo.c
===================================================================
RCS file: /cvs/src/usr.bin/rpcinfo/rpcinfo.c,v
retrieving revision 1.2
diff -u -u -r1.2 rpcinfo.c
--- rpcinfo/rpcinfo.c	17 Jun 2003 04:29:31 -0000	1.2
+++ rpcinfo/rpcinfo.c	7 Nov 2004 20:02:16 -0000
@@ -264,11 +264,11 @@
 				minvers = 0;
 				maxvers = MAX_VERS;
 			} else {
-				(void) pstatus(client, prognum, MAX_VERS);
+				pstatus(client, prognum, MAX_VERS);
 				exit(1);
 			}
 		} else {
-			(void) pstatus(client, prognum, (u_long)0);
+			pstatus(client, prognum, (u_long)0);
 			exit(1);
 		}
 		clnt_destroy(client);
@@ -311,7 +311,7 @@
 		if (pstatus(client, prognum, vers) < 0)
 			failure = 1;
 	}
-	(void) close(sock); /* Close it up again */
+	close(sock); /* Close it up again */
 	if (failure)
 		exit(1);
 }
@@ -390,15 +390,15 @@
 				minvers = 0;
 				maxvers = MAX_VERS;
 			} else {
-				(void) pstatus(client, prognum, MAX_VERS);
+				pstatus(client, prognum, MAX_VERS);
 				exit(1);
 			}
 		} else {
-			(void) pstatus(client, prognum, MIN_VERS);
+			pstatus(client, prognum, MIN_VERS);
 			exit(1);
 		}
 		clnt_destroy(client);
-		(void) close(sock);
+		close(sock);
 		sock = RPC_ANYSOCK; /* Re-initialize it for later */
 		for (vers = minvers; vers <= maxvers; vers++) {
 			addr.sin_port = htons(portnum);
@@ -416,7 +416,7 @@
 			if (pstatus(client, prognum, vers) < 0)
 				failure = 1;
 			clnt_destroy(client);
-			(void) close(sock);
+			close(sock);
 			sock = RPC_ANYSOCK;
 		}
 	}
Index: rsh/rsh.c
===================================================================
RCS file: /cvs/src/usr.bin/rsh/rsh.c,v
retrieving revision 1.5
diff -u -u -r1.5 rsh.c
--- rsh/rsh.c	22 Jul 2004 14:50:19 -0000	1.5
+++ rsh/rsh.c	7 Nov 2004 20:02:16 -0000
@@ -300,14 +300,14 @@
 			warn("setsockopt");
 	}
 
-	(void)setuid(uid);
+	setuid(uid);
 	omask = sigblock(sigmask(SIGINT)|sigmask(SIGQUIT)|sigmask(SIGTERM));
 	if (signal(SIGINT, SIG_IGN) != SIG_IGN)
-		(void)signal(SIGINT, sendsig);
+		signal(SIGINT, sendsig);
 	if (signal(SIGQUIT, SIG_IGN) != SIG_IGN)
-		(void)signal(SIGQUIT, sendsig);
+		signal(SIGQUIT, sendsig);
 	if (signal(SIGTERM, SIG_IGN) != SIG_IGN)
-		(void)signal(SIGTERM, sendsig);
+		signal(SIGTERM, sendsig);
 
 	if (!nflag) {
 		pid = fork();
@@ -315,7 +315,7 @@
 			err(1, "fork");
 	}
         else
-		(void)shutdown(rem, 1);
+		shutdown(rem, 1);
 
 #ifdef KERBEROS
 #ifdef CRYPT
@@ -323,14 +323,14 @@
 #endif
 #endif
 	{
-		(void)ioctl(rfd2, FIONBIO, &one);
-		(void)ioctl(rem, FIONBIO, &one);
+		ioctl(rfd2, FIONBIO, &one);
+		ioctl(rem, FIONBIO, &one);
 	}
 
 	talk(nflag, omask, pid, rem, timeout);
 
 	if (!nflag)
-		(void)kill(pid, SIGKILL);
+		kill(pid, SIGKILL);
 	exit(0);
 }
 
@@ -348,7 +348,7 @@
 	int nfds, srval;
 
 	if (!nflag && pid == 0) {
-		(void)close(rfd2);
+		close(rfd2);
 
 reread:		errno = 0;
 		if ((cc = read(0, buf, sizeof buf)) <= 0)
@@ -387,14 +387,14 @@
 			goto reread;
 		goto rewrite;
 done:
-		(void)shutdown(rem, 1);
+		shutdown(rem, 1);
 		exit(0);
 	}
 
 	tvtimeout.tv_sec = timeout;
 	tvtimeout.tv_usec = 0;
 
-	(void)sigsetmask(omask);
+	sigsetmask(omask);
 	if (rfd2 >= FD_SETSIZE || rem >= FD_SETSIZE)
 		errx(1, "descriptor too big");
 	FD_ZERO(&readfrom);
@@ -430,7 +430,7 @@
 				if (errno != EWOULDBLOCK)
 					FD_CLR(rfd2, &readfrom);
 			} else
-				(void)write(2, buf, cc);
+				write(2, buf, cc);
 		}
 		if (FD_ISSET(rem, &ready)) {
 			errno = 0;
@@ -446,7 +446,7 @@
 				if (errno != EWOULDBLOCK)
 					FD_CLR(rem, &readfrom);
 			} else
-				(void)write(1, buf, cc);
+				write(1, buf, cc);
 		}
 	} while (FD_ISSET(rfd2, &readfrom) || FD_ISSET(rem, &readfrom));
 }
@@ -470,11 +470,11 @@
 #ifdef KERBEROS
 #ifdef CRYPT
 	if (doencrypt)
-		(void)des_enc_write(rfd2, &signo, 1, schedule, &cred.session);
+		des_enc_write(rfd2, &signo, 1, schedule, &cred.session);
 	else
 #endif
 #endif
-		(void)write(rfd2, &signo, 1);
+		write(rfd2, &signo, 1);
 }
 
 char *
@@ -490,7 +490,7 @@
 	if (!(args = malloc((u_int)cc)))
 		err(1, NULL);
 	for (p = args, ap = argv; *ap; ++ap) {
-		(void)strcpy(p, *ap);
+		strcpy(p, *ap);
 		for (p = strcpy(p, *ap); *p; ++p);
 		if (ap[1])
 			*p++ = ' ';
@@ -502,7 +502,7 @@
 usage()
 {
 
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: rsh [-46] [-ndK%s]%s[-l login] [-t timeout] host [command]\n",
 #ifdef KERBEROS
 #ifdef CRYPT
Index: rup/rup.c
===================================================================
RCS file: /cvs/src/usr.bin/rup/rup.c,v
retrieving revision 1.3
diff -u -u -r1.3 rup.c
--- rup/rup.c	14 Sep 2004 18:36:40 -0000	1.3
+++ rup/rup.c	7 Nov 2004 20:02:16 -0000
@@ -226,7 +226,7 @@
 		allhosts();
 	else {
 		for (; optind < argc; optind++)
-			(void) onehost(argv[optind]);
+			onehost(argv[optind]);
 	}
 	exit(0);
 }
Index: ruptime/ruptime.c
===================================================================
RCS file: /cvs/src/usr.bin/ruptime/ruptime.c,v
retrieving revision 1.7
diff -u -u -r1.7 ruptime.c
--- ruptime/ruptime.c	23 Jul 2004 09:24:00 -0000	1.7
+++ ruptime/ruptime.c	7 Nov 2004 20:02:16 -0000
@@ -125,7 +125,7 @@
 			continue;
 		}
 		cc = read(fd, buf, sizeof(struct whod));
-		(void)close(fd);
+		close(fd);
 
 		if (cc < WHDRSIZE)
 			continue;
@@ -154,18 +154,18 @@
 	if (nhosts == 0)
 		errx(1, "no hosts in %s", _PATH_RWHODIR);
 
-	(void)time(&now);
+	time(&now);
 	qsort(hs, nhosts, sizeof(hs[0]), cmp);
 	for (i = 0; i < nhosts; i++) {
 		hsp = &hs[i];
 		if (LEFTEARTH(hsp))
 			continue;
 		if (ISDOWN(hsp)) {
-			(void)printf("%-12.12s%s\n", hsp->hs_wd->wd_hostname,
+			printf("%-12.12s%s\n", hsp->hs_wd->wd_hostname,
 			    interval(now - hsp->hs_wd->wd_recvtime, "down"));
 			continue;
 		}
-		(void)printf(
+		printf(
 		    "%-12.12s%s,  %4d user%s  load %*.2f, %*.2f, %*.2f\n",
 		    hsp->hs_wd->wd_hostname,
 		    interval((time_t)hsp->hs_wd->wd_sendtime -
@@ -189,7 +189,7 @@
 	int days, hours, minutes;
 
 	if (tval < 0) {
-		(void)snprintf(resbuf, sizeof(resbuf), "   %s ??:??", updown);
+		snprintf(resbuf, sizeof(resbuf), "   %s ??:??", updown);
 		return (resbuf);
 	}
 						/* round to minutes. */
@@ -199,10 +199,10 @@
 	days = hours / 24;
 	hours %= 24;
 	if (days)
-		(void)snprintf(resbuf, sizeof(resbuf),
+		snprintf(resbuf, sizeof(resbuf),
 		    "%s %3d+%02d:%02d", updown, days, hours, minutes);
 	else
-		(void)snprintf(resbuf, sizeof(resbuf),
+		snprintf(resbuf, sizeof(resbuf),
 		    "%s     %2d:%02d", updown, hours, minutes);
 	return (resbuf);
 }
@@ -264,6 +264,6 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: ruptime [-alrut]\n");
+	fprintf(stderr, "usage: ruptime [-alrut]\n");
 	exit(1);
 }
Index: rusers/rusers.c
===================================================================
RCS file: /cvs/src/usr.bin/rusers/rusers.c,v
retrieving revision 1.3
diff -u -u -r1.3 rusers.c
--- rusers/rusers.c	17 Jul 2004 21:10:42 -0000	1.3
+++ rusers/rusers.c	7 Nov 2004 20:02:16 -0000
@@ -237,7 +237,7 @@
 		allhosts();
 	else {
 		for (; optind < argc; optind++)
-			(void)onehost(argv[optind]);
+			onehost(argv[optind]);
 	}
 	exit(0);
 }
Index: rwho/rwho.c
===================================================================
RCS file: /cvs/src/usr.bin/rwho/rwho.c,v
retrieving revision 1.3
diff -u -u -r1.3 rwho.c
--- rwho/rwho.c	3 Nov 2003 19:31:33 -0000	1.3
+++ rwho/rwho.c	7 Nov 2004 20:02:16 -0000
@@ -88,7 +88,7 @@
 	int f, n, i;
 	int d_first;
 
-	(void) setlocale(LC_TIME, "");
+	setlocale(LC_TIME, "");
 	d_first = (*nl_langinfo(D_MD_ORDER) == 'd');
 
 	while ((ch = getopt(argc, argv, "a")) != -1)
@@ -109,7 +109,7 @@
 	if (chdir(_PATH_RWHODIR) || (dirp = opendir(".")) == NULL)
 		err(1, "%s", _PATH_RWHODIR);
 	mp = myutmp;
-	(void)time(&now);
+	time(&now);
 	while ((dp = readdir(dirp))) {
 		if (dp->d_ino == 0 || strncmp(dp->d_name, "whod.", 5))
 			continue;
@@ -118,11 +118,11 @@
 			continue;
 		cc = read(f, (char *)&wd, sizeof (struct whod));
 		if (cc < WHDRSIZE) {
-			(void) close(f);
+			close(f);
 			continue;
 		}
 		if (down(w,now)) {
-			(void) close(f);
+			close(f);
 			continue;
 		}
 		cc -= WHDRSIZE;
@@ -135,10 +135,10 @@
 			if (nusers >= NUSERS)
 				errx(1, "too many users");
 			mp->myutmp = we->we_utmp; mp->myidle = we->we_idle;
-			(void) strcpy(mp->myhost, w->wd_hostname);
+			strcpy(mp->myhost, w->wd_hostname);
 			nusers++; we++; mp++;
 		}
-		(void) close(f);
+		close(f);
 	}
 	qsort((char *)myutmp, nusers, sizeof (struct myutmp), utmpcmp);
 	mp = myutmp;
@@ -157,7 +157,7 @@
 		strftime(cbuf, sizeof(cbuf),
 			 d_first ? "%e %b %R" : "%b %e %R",
 			 localtime((time_t *)&mp->myutmp.out_time));
-		(void)sprintf(buf, "%s:%-.*s", mp->myhost,
+		sprintf(buf, "%s:%-.*s", mp->myhost,
 		   sizeof(mp->myutmp.out_line), mp->myutmp.out_line);
 		printf("%-*.*s %-*s %s",
 		   UT_NAMESIZE, sizeof(mp->myutmp.out_name),
Index: sed/main.c
===================================================================
RCS file: /cvs/src/usr.bin/sed/main.c,v
retrieving revision 1.3
diff -u -u -r1.3 main.c
--- sed/main.c	4 Oct 2003 20:36:50 -0000	1.3
+++ sed/main.c	7 Nov 2004 20:02:16 -0000
@@ -113,7 +113,7 @@
 	int c, fflag;
 	char *temp_arg;
 
-	(void) setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 	fflag = 0;
 	inplace = NULL;
@@ -175,7 +175,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n",
 		"usage: sed script [-Ean] [-i extension] [file ...]",
 		"       sed [-an] [-i extension] [-e script] ... [-f script_file] ... [file ...]");
 	exit(1);
@@ -214,7 +214,7 @@
 			if ((snprintf(string_ident,
 			    sizeof(string_ident), "\"%s\"", script->s)) >=
 			    sizeof(string_ident) - 1)
-				(void)strcpy(string_ident +
+				strcpy(string_ident +
 				    sizeof(string_ident) - 6, " ...\"");
 			fname = string_ident;
 			s = script->s;
@@ -231,7 +231,7 @@
 			return (p);
 		}
 		script = script->next;
-		(void)fclose(f);
+		fclose(f);
 		state = ST_EOF;
 		goto again;
 	case ST_STRING:
@@ -302,7 +302,7 @@
 
 	for (;;) {
 		if (curfile != NULL && (c = getc(curfile)) != EOF) {
-			(void)ungetc(c, curfile);
+			ungetc(c, curfile);
 			break;
 		}
 		/* If we are here then either eof or no files are open yet */
Index: sed/misc.c
===================================================================
RCS file: /cvs/src/usr.bin/sed/misc.c,v
retrieving revision 1.3
diff -u -u -r1.3 misc.c
--- sed/misc.c	4 Oct 2003 20:36:50 -0000	1.3
+++ sed/misc.c	7 Nov 2004 20:02:16 -0000
@@ -66,6 +66,6 @@
 	s = regerror(errcode, preg, NULL, 0);
 	if ((oe = malloc(s)) == NULL)
 		err(1, "malloc");
-	(void)regerror(errcode, preg, oe, s);
+	regerror(errcode, preg, oe, s);
 	return (oe);
 }
Index: sed/process.c
===================================================================
RCS file: /cvs/src/usr.bin/sed/process.c,v
retrieving revision 1.5
diff -u -u -r1.5 process.c
--- sed/process.c	4 Nov 2003 15:48:16 -0000	1.5
+++ sed/process.c	7 Nov 2004 20:02:16 -0000
@@ -127,7 +127,7 @@
 				pd = 1;
 				psl = 0;
 				if (cp->a2 == NULL || lastaddr)
-					(void)printf("%s", cp->t);
+					printf("%s", cp->t);
 				break;
 			case 'd':
 				pd = 1;
@@ -159,7 +159,7 @@
 				cspace(&HS, ps, psl, 0);
 				break;
 			case 'i':
-				(void)printf("%s", cp->t);
+				printf("%s", cp->t);
 				break;
 			case 'l':
 				lputs(ps);
@@ -249,7 +249,7 @@
 			case '}':
 				break;
 			case '=':
-				(void)printf("%lu\n", linenum);
+				printf("%lu\n", linenum);
 			}
 			cp = cp->next;
 		} /* for all cp */
@@ -449,8 +449,8 @@
 			if ((f = fopen(appends[i].s, "r")) == NULL)
 				break;
 			while ((count = fread(buf, sizeof(char), sizeof(buf), f)))
-				(void)fwrite(buf, sizeof(char), count, stdout);
-			(void)fclose(f);
+				fwrite(buf, sizeof(char), count, stdout);
+			fclose(f);
 			break;
 		}
 	if (ferror(stdout))
@@ -479,30 +479,30 @@
 
 	for (count = 0; *s; ++s) {
 		if (count + 5 >= termwidth) {
-			(void)printf("\\\n");
+			printf("\\\n");
 			count = 0;
 		}
 		if (isprint((unsigned char)*s) && *s != '\\') {
-			(void)putchar(*s);
+			putchar(*s);
 			count++;
 		} else if (*s == '\n') {
-			(void)putchar('$');
-			(void)putchar('\n');
+			putchar('$');
+			putchar('\n');
 			count = 0;
 		} else {
 			escapes = "\\\a\b\f\r\t\v";
-			(void)putchar('\\');
+			putchar('\\');
 			if ((p = strchr(escapes, *s))) {
-				(void)putchar("\\abfrtv"[p - escapes]);
+				putchar("\\abfrtv"[p - escapes]);
 				count += 2;
 			} else {
-				(void)printf("%03o", *(u_char *)s);
+				printf("%03o", *(u_char *)s);
 				count += 4;
 			}
 		}
 	}
-	(void)putchar('$');
-	(void)putchar('\n');
+	putchar('$');
+	putchar('\n');
 	if (ferror(stdout))
 		errx(1, "stdout: %s", strerror(errno ? errno : EIO));
 }
Index: size/size.c
===================================================================
RCS file: /cvs/src/usr.bin/size/size.c,v
retrieving revision 1.3
diff -u -u -r1.3 size.c
--- size/size.c	4 Oct 2003 20:36:50 -0000	1.3
+++ size/size.c	7 Nov 2004 20:02:16 -0000
@@ -85,28 +85,28 @@
 		return (1);
 	}
 	if (read(fd, &head, sizeof(head)) != sizeof(head) || N_BADMAG(head)) {
-		(void)close(fd);
+		close(fd);
 		warnx("%s: not in a.out format", name);
 		return (1);
 	}
-	(void)close(fd);
+	close(fd);
 
 	if (first) {
 		first = 0;
-		(void)printf("text\tdata\tbss\tdec\thex\n");
+		printf("text\tdata\tbss\tdec\thex\n");
 	}
 	total = head.a_text + head.a_data + head.a_bss;
-	(void)printf("%lu\t%lu\t%lu\t%lu\t%lx", (u_long)head.a_text,
+	printf("%lu\t%lu\t%lu\t%lu\t%lx", (u_long)head.a_text,
 	    (u_long)head.a_data, (u_long)head.a_bss, total, total);
 	if (count > 1)
-		(void)printf("\t%s", name);
-	(void)printf("\n");
+		printf("\t%s", name);
+	printf("\n");
 	return (0);
 }
 
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: size [file ...]\n");
+	fprintf(stderr, "usage: size [file ...]\n");
 	exit(1);
 }
Index: split/split.c
===================================================================
RCS file: /cvs/src/usr.bin/split/split.c,v
retrieving revision 1.4
diff -u -u -r1.4 split.c
--- split/split.c	25 Oct 2003 14:14:52 -0000	1.4
+++ split/split.c	7 Nov 2004 20:02:16 -0000
@@ -356,9 +356,9 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 "usage: split [-a sufflen] [-b byte_count] [-l line_count] [-p pattern]\n");
-	(void)fprintf(stderr,
+	fprintf(stderr,
 "             [file [prefix]]\n");
 	exit(EX_USAGE);
 }
